var
  x1,y1,x2,y2,k:integer;
begin
  readln(x1,y1);
  readln(x2,y2);
  if x1=x2 then k:=2 else if y1=y2 then k:=2 else if x1-y1=x2-y2 then k:=1 else if x1+y1=x2+y2 then k:=1 else k:=0;
  writeln(k);
  readln;
end.